export interface DiagInfo {
    robustnessIters: number;
    secondLastMedianResidual?: number;
    lastMedianResidual?: number;
    robustnessWeights?: Float64Array;
}
export interface SmoothParms {
    xVals: ArrayLike<number>;
    yVals: ArrayLike<number>;
    weights?: ArrayLike<number>;
    bandwidthFraction?: number;
    robustnessIters?: number;
    accuracy?: number;
    outlierDistanceFactor?: number;
    diagInfo?: DiagInfo;
}
export declare function smooth(parms: SmoothParms): Float64Array;
export declare function calculateLocalLinearRegression(xVals: ArrayLike<number>, yVals: ArrayLike<number>, weights: ArrayLike<number> | undefined, x: number, iLeft: number, iRight: number, accuracy: number): number;
